Bug 493170 - Static IPv6 requires CONFIG_CRYPTO_API to build
Static IPv6 requires CONFIG_CRYPTO_API to build
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Olsa
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 16:34 EDT by Steve Snyder
Modified: 2010-11-15 07:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 07:00:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make XFRM_NALGO select CRYPTO_API (243 bytes, patch)
2010-11-15 06:58 EST, Jiri Olsa
no flags Details | Diff

  None (edit)
Description Steve Snyder 2009-03-31 16:34:27 EDT
Description of problem:

Opting to build IPv6 into the kernel (default "m" --> "y") forces the setting of CONFIG_XFRM_NALGO=y.  So far, so good.  Here's the kicker: CONFIG_XFRM_NALGO=y requires CONFIG_CRYPTO_API=y but it not forced to this required state by the kernel config system (I used "make menuconfig").


Version-Release number of selected component (if applicable):

2.6.18-128.1.1.el5


How reproducible:

Always


Steps to Reproduce:
1. "rpm -ivh /tmp/kernel-2.6.18-128.1.1.el5.src.rpm"
2. "rpmbuild -bp --target i686 /usr/src/redhat/SPEC/kernel.spec"
3. Use "make menuconfig" to opt for static inclusion of IPv6 in kernel
4. Attempt to build kernel
  
Actual results:

  CC      init/version.o
  LD      init/built-in.o
  LD      .tmp_vmlinux1
net/built-in.o: In function `xfrm_find_algo':
/usr/src/linux-2.6.18-128.1.1.el5.sws/net/xfrm/xfrm_nalgo.c:451: undefined reference to `crypto_has_alg'
make: *** [.tmp_vmlinux1] Error 1


Expected results:

Config menuing system should not allow danging symbols.  If CONFIG_XFRM_NALGO requires CONFIG_CRYPTO_API, then either CONFIG_CRYPTO_API should be selected or the use should be informed that CONFIG_XFRM_NALGO cannot be configured for inclusion into the static kernel.

Additional info:

I am fully aware that Red Hat doesn't support user-configured kernels.  That said, I think you may be interested to know that you have this unaddressed dependency.
Comment 1 Neil Horman 2010-11-10 12:05:59 EST
Triage assignment.  If you feel this bug doesn't belong to you, or that it cannot be handled in a timely fashion, please contact me for re-assignment
Comment 2 Jiri Olsa 2010-11-15 06:58:23 EST
Created attachment 460529 [details]
make XFRM_NALGO select CRYPTO_API
Comment 3 Jiri Olsa 2010-11-15 07:00:38 EST
hi,
as we dont support user-configured kernel, I'm closing this..
however attached patch should help you

wbr,
jirka

Note You need to log in before you can comment on or make changes to this bug.